Sso\WebserviceBundle\Entity\ServiceProvider\Type\Token:
    type: entity
    table: wssp_tokens
    id:
        ServiceToken:
            type: string
            nullable: false
            length: 255
            fixed: false
            id: true
            column: ServiceToken
            generator:
                strategy: NONE
    fields:
        ServiceToken2Ip:
            type: string
            nullable: false
            length: 255
            fixed: false
            column: ServiceToken2Ip
        AllowedCallsPerDay:
            type: integer
            nullable: false
            column: AllowedCallsPerDay
        ValidUntil:
            type: date
            nullable: false
            column: ValidUntil
        Blocked:
            type: smallint
            nullable: false
            column: Blocked
        BlockedReason:
            type: string
            nullable: true
            length: 255
            fixed: false
            column: BlockedReason
        Description:
            type: string
            length: 255
        accessRestricted:
            type: boolean
            column: AccessRestricted
            nullable: false
    manyToMany:
        ServiceNames:
            targetEntity: ServiceName
            inversedBy: Tokens
            joinTable:
                name: wssp_token2servicename
                joinColumns:
                    ServiceToken:
                        referencedColumnName: ServiceToken
                inverseJoinColumns:
                    ServiceNameId:
                        referencedColumnName: ServiceNameId
    oneToMany:
        TokenUsages:
            targetEntity: TokenUsage
            mappedBy: Token
    lifecycleCallbacks: {  }
